> ## Documentation Index
> Fetch the complete documentation index at: https://developers.zerion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet NFT collections

> This endpoint returns a list of the NFT collections held by a specific wallet.

This endpoint supports testnets. To get data for testnets use `X-Env` header.

If the wallet address has not been previously added, this endpoint may return a `202` status code. This indicates that the wallet's collections are not yet available, but will be in the near future. In this case, the client should periodically request this endpoint until a `200` status code is returned.

> NOTE: It is important to stop retrying after a reasonable period of time. If a `200` status code is not returned within 2 minutes, it is likely that an unexpected error has occurred, and the client should stop polling.

> NOTE: This endpoint provides support for filters, sorting. Ensure that the length of the request URL falls within a safe range for your platform. Typically, a length of 2000 characters is a safe limit for most combinations of client and server software.

> NOTE: Consider all IDs as abstract strings, without making any assumptions about their format or relying on such assumptions. There is a non-zero probability that IDs may change in the future, and this should not result in any breaking changes.




## OpenAPI

````yaml /openapi-v1.yaml get /v1/wallets/{address}/nft-collections/
openapi: 3.0.3
info:
  version: 1.0.0
  title: REST API
  description: REST-like API provides access to rich Zerion ecosystem.
  contact:
    name: Zerion API
    url: https://developers.zerion.io/
    email: api@zerion.io
servers:
  - description: Production API
    url: https://api.zerion.io
security:
  - APIKeyBasicAuth: []
tags:
  - name: wallets
    description: >-
      Operations related to wallets, such as portfolio charts, positions, and
      transactions.
  - name: wallet sets
    description: >-
      Operations on a wallet set — aggregated portfolio data across at most one
      EVM address and one Solana address queried together.
  - name: fungibles
    description: >-
      Operations related to fungible assets, such as list them all, search or
      get by ID.
  - name: chains
    description: Operations related to chains, such as list all chains.
  - name: swap
    description: Operations related to swapping and bridging assets.
  - name: gas
    description: Operations related to gas.
  - name: nfts
    description: >-
      Operations related to non fungible assets, such list them, search or get
      by ID.
  - name: dapps
    description: >-
      Operations related to decentralized applications, such as list them all,
      search or get by ID.
  - name: subscriptions to transactions
    description: Operations related to subscriptions to transactions.
paths:
  /v1/wallets/{address}/nft-collections/:
    get:
      tags:
        - wallets
      summary: Get wallet NFT collections
      description: >
        This endpoint returns a list of the NFT collections held by a specific
        wallet.


        This endpoint supports testnets. To get data for testnets use `X-Env`
        header.


        If the wallet address has not been previously added, this endpoint may
        return a `202` status code. This indicates that the wallet's collections
        are not yet available, but will be in the near future. In this case, the
        client should periodically request this endpoint until a `200` status
        code is returned.


        > NOTE: It is important to stop retrying after a reasonable period of
        time. If a `200` status code is not returned within 2 minutes, it is
        likely that an unexpected error has occurred, and the client should stop
        polling.


        > NOTE: This endpoint provides support for filters, sorting. Ensure that
        the length of the request URL falls within a safe range for your
        platform. Typically, a length of 2000 characters is a safe limit for
        most combinations of client and server software.


        > NOTE: Consider all IDs as abstract strings, without making any
        assumptions about their format or relying on such assumptions. There is
        a non-zero probability that IDs may change in the future, and this
        should not result in any breaking changes.
      operationId: listWalletNFTCollections
      parameters:
        - $ref: '#/components/parameters/WalletAddress'
        - name: filter[chain_ids]
          in: query
          style: form
          explode: false
          description: >-
            Keep only collections from the specified chains (comma-separated
            list). Available chain IDs can be found in the chains endpoint.
          schema:
            type: array
            example:
              - ethereum
              - polygon
            maxItems: 25
            items:
              type: string
        - $ref: '#/components/parameters/WalletNFTCollectionsSort'
        - $ref: '#/components/parameters/Currency'
        - name: include
          in: query
          required: false
          style: form
          explode: false
          description: >-
            Array of related resources to be included to the response
            (comma-separated list). This parameter corresponds to the JSON API
            schema.
          schema:
            type: array
            items:
              type: string
              example: nft_collections
              enum:
                - nft_collections
        - name: X-Env
          in: header
          description: Custom header that allows you to get data for testnets.
          required: false
          schema:
            type: string
            enum:
              - testnet
      responses:
        '200':
          $ref: '#/components/responses/NFTCollectionsResponse'
        '202':
          $ref: '#/components/responses/NFTCollectionsProcessingResponse'
        '400':
          $ref: '#/components/responses/MalformedParameters'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    WalletAddress:
      name: address
      in: path
      required: true
      description: >-
        The web3 wallet address. Must be a valid EVM or Solana address. Returns
        400 if the address is not tracked by Zerion.
      example: '0x42b9df65b219b3dd36ff330a4dd8f327a6ada990'
      schema:
        $ref: '#/components/schemas/WalletAddress'
    WalletNFTCollectionsSort:
      name: sort
      in: query
      required: false
      description: The order of NFTs in the result.
      schema:
        type: string
        example: '-total_floor_price'
        enum:
          - '-max_changed_at'
          - min_changed_at
          - total_floor_price
          - '-total_floor_price'
    Currency:
      name: currency
      in: query
      required: false
      description: Denominated currency value of returned prices
      schema:
        type: string
        default: usd
        enum:
          - eth
          - btc
          - usd
          - eur
          - krw
          - rub
          - gbp
          - aud
          - cad
          - inr
          - jpy
          - nzd
          - try
          - zar
          - cny
          - chf
  responses:
    NFTCollectionsResponse:
      description: Response for requested list of NFT collections.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Response-5'
    NFTCollectionsProcessingResponse:
      description: >-
        Request accepted, but NFT collections held by the wallet are still being
        aggregated.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProcessingResponseMany'
    MalformedParameters:
      description: Parameters are malformed
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Parameter is malformed
                    detail:
                      type: string
                      description: Long description of the error
                      example: Some validation errors will be described here
    UnauthenticatedError:
      description: Unathenticated request
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Unauthorized Error
                    detail:
                      type: string
                      description: Long description of the error
                      example: >-
                        The API key is invalid, please, make sure that you are
                        using a valid key
    TooManyRequests:
      description: Too many requests error
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Too many requests
                    detail:
                      type: string
                      description: Long description of the error
                      example: Your request had been throttled
  schemas:
    WalletAddress:
      oneOf:
        - $ref: '#/components/schemas/EVMAddress'
        - $ref: '#/components/schemas/SolanaAddress'
      description: A wallet address, which can be either an EVM or Solana address
    Response-5:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/ResponseLinks-5'
        data:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/Container-7'
              - type: object
                properties:
                  included:
                    $ref: '#/components/schemas/Included-2'
    ProcessingResponseMany:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/ResponseManyLinks'
        data:
          type: array
          example: []
    EVMAddress:
      type: string
      description: Ethereum-compatible address (EVM).
      pattern: ^0x[a-fA-F0-9]{40}$
      example: '0x42b9df65b219b3dd36ff330a4dd8f327a6ada990'
    SolanaAddress:
      type: string
      description: Solana address
      pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
      example: 8BH9pjtgyZDC4iAQH5ZiYDZ1MDWC98xki2V8NzqqKW3K
    ResponseLinks-5:
      type: object
      required:
        - self
      properties:
        self:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/wallets/0x42b9df65b219b3dd36ff330a4dd8f327a6ada990/nft-collections/
    Container-7:
      type: object
      description: The NFT collection held by the wallet.
      required:
        - type
        - id
        - attributes
      properties:
        type:
          type: string
          description: NFT collection resource type.
          example: wallet_nft_collections
        id:
          type: integer
          description: NFT collection's unique ID.
          example: 14
        attributes:
          $ref: '#/components/schemas/Attributes-8'
        relationships:
          $ref: '#/components/schemas/Relationships-5'
    Included-2:
      type: array
      items:
        anyOf:
          - $ref: '#/components/schemas/Container-6'
    ResponseManyLinks:
      type: object
      required:
        - self
      properties:
        self:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/wallets/0x42b9df65b219b3dd36ff330a4dd8f327a6ada990/nft-positions/
    Attributes-8:
      type: object
      required:
        - nfts_count
        - total_floor_price
      properties:
        min_changed_at:
          type: string
          nullable: true
          description: >-
            The earliest `changed_at` date and time alongside all wallet's
            positions from the collection.
          example: '2020-02-28T19:24:39Z'
        max_changed_at:
          type: string
          nullable: true
          description: >-
            The most recent `changed_at` date and time alongside all wallet's
            positions from the collection.
          example: '2023-02-28T19:24:39Z'
        nfts_count:
          type: string
          description: >-
            The total quantity of the wallet's NFT positions from the
            collection.
          example: '1'
        total_floor_price:
          type: number
          format: float
          description: >-
            The lowest price (floor) of the all wallet's NFTs positions from the
            collection. Measured in the requested currency.
        collection_info:
          $ref: '#/components/schemas/Info-3'
    Relationships-5:
      type: object
      required:
        - chains
        - nft_collection
      properties:
        chains:
          type: array
          description: The blockchain on which the NFT collection exists.
          items:
            $ref: '#/components/schemas/Relationship'
        nft_collection:
          allOf:
            - description: The NFT collection itself.
            - $ref: '#/components/schemas/Relationship-4'
    Container-6:
      type: object
      properties:
        type:
          type: string
          description: NFT collections resource type.
          example: nft_collections
        id:
          type: integer
          description: Unique NFT collection ID.
          example: 14
        attributes:
          $ref: '#/components/schemas/ContainerAttributes'
    Info-3:
      type: object
      description: Represents an NFT collection short info.
      properties:
        name:
          type: string
          description: The name of the collection.
        description:
          type: string
          description: The description of the collection.
        content:
          $ref: '#/components/schemas/Content-2'
    Relationship:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/RelationshipLinks'
        data:
          $ref: '#/components/schemas/ContainerShort'
    Relationship-4:
      type: object
      required:
        - data
      properties:
        data:
          $ref: '#/components/schemas/ContainerShort-4'
    ContainerAttributes:
      type: object
      description: >-
        Represents an NFT collection attributes corresponding to JSON API
        specification.
      properties:
        metadata:
          $ref: '#/components/schemas/Metadata-2'
        market_data:
          $ref: '#/components/schemas/MarketData-3'
        implementations:
          type: array
          description: List of blockchain implementations where this collection is deployed
          items:
            $ref: '#/components/schemas/Implementation-2'
    Content-2:
      type: object
      properties:
        icon:
          allOf:
            - description: The URL for the collection's icon.
            - $ref: '#/components/schemas/Icon'
        banner:
          allOf:
            - description: The URL for the collection's banner image.
            - $ref: '#/components/schemas/ContentLink'
    RelationshipLinks:
      type: object
      required:
        - related
      properties:
        related:
          type: string
          format: url
          description: URL to the current chain.
          example: https://api.zerion.io/v1/chains/polygon
    ContainerShort:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          description: Chain resource type.
          example: chains
        id:
          type: string
          description: Chain unique identifier.
          example: polygon
    ContainerShort-4:
      type: object
      properties:
        type:
          type: string
          description: NFT collections resource type.
          example: nft_collections
        id:
          type: integer
          description: Unique NFT collection ID.
          example: 14
    Metadata-2:
      type: object
      description: Metadata associated with the NFT.
      properties:
        name:
          type: string
          description: The name of the collection.
        description:
          type: string
          description: The description of the collection.
        content:
          $ref: '#/components/schemas/Content-2'
        payment_token_symbol:
          type: string
          description: The symbol for the payment token used by the collection.
    MarketData-3:
      type: object
      description: Contains marketplace data for a collection of NFTs.
      properties:
        prices:
          $ref: '#/components/schemas/MarketDataPrices-2'
    Implementation-2:
      type: object
      description: Represents a blockchain implementation of an NFT collection.
      required:
        - chain_id
        - address
      properties:
        chain_id:
          type: string
          description: The chain ID where the collection is deployed.
          example: ethereum
        address:
          type: string
          nullable: true
          description: The contract address of the collection on the chain.
          example: '0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d'
    Icon:
      type: object
      description: Icon related to object.
      properties:
        url:
          type: string
          nullable: true
          format: url
          description: URL of the icon.
          example: >-
            https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png
    ContentLink:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          format: url
          description: URL to the content
          example: >-
            https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png
        content_type:
          type: string
          description: MIME content type
          example: image/png
    MarketDataPrices-2:
      type: object
      description: >-
        Prices associated with the NFT collection expressed in the currency
        specified in the request parameters.
      properties:
        floor:
          type: number
          format: float
          description: The lowest known price for an NFT in the collection.
  securitySchemes:
    APIKeyBasicAuth:
      type: http
      scheme: basic
      description: >-
        To test endpoints here, paste your API key from the
        [dashboard](https://dashboard.zerion.io/) into the username field and
        leave the password empty.

````